Page MenuHomePhabricator

Turn arcmt-* options into a single option
ClosedPublic

Authored by jansvoboda11 on Jul 7 2020, 8:52 AM.

Details

Summary
  • The new option, -arcmt-action, is a simple enum based option.
  • The driver is modified to translate the existing -ccc-acmt-* options accordingly

Depends on D83298

Diff Detail

Event Timeline

dang created this revision.Jul 7 2020, 8:52 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 7 2020, 8:52 AM
Bigcheese accepted this revision.Jul 7 2020, 10:31 AM

I have a slight preference for -arcmt-action=, but up to you if you want to change it. Otherwise LGTM.

This revision is now accepted and ready to land.Jul 7 2020, 10:31 AM
dang updated this revision to Diff 276438.Jul 8 2020, 7:55 AM

Instead of using a Separate option kind (-arcmt-action action) use a Joined kind (-arcmt-action=*)

jansvoboda11 commandeered this revision.Nov 18 2020, 1:42 AM
jansvoboda11 added a reviewer: dang.
jansvoboda11 added a subscriber: jansvoboda11.

Taking over this patch, as Daniel is no longer involved.

This revision was landed with ongoing or failed builds.Nov 18 2020, 1:54 AM
This revision was automatically updated to reflect the committed changes.